%define module	hyperlink

Name:		python-%{module}
Version:	21.0.0
Release:	%mkrel 1
Summary:	A featureful, correct URL for Python 2
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/hyperlink/
Source0:	https://pypi.io/packages/source/h/hyperlink/%{module}-%{version}.tar.xz
BuildArch:	noarch

%description
Hyperlink is a featureful, pure-Python 2 implementation of the URL,
with an emphasis on correctness.

%package -n	python3-%{module}
Summary:	A featureful, correct URL for Python 3
Group:		Development/Python

%description -n python3-%{module}
Hyperlink is a featureful, pure-Python 3 implementation of the URL,
with an emphasis on correctness.

%prep
%setup -qn %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc CHANGELOG.md README.md
%doc LICENSE
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{module}
%doc CHANGELOG.md README.md
%doc LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 21.0.0-1pclos2022
- update and rebuild for python 3.10

* Thu Apr 11 2019 tex 19.0.0-1pclos2019
- new version: 19.0.0
